# SubscriptionCharge

| Name                      | Type                                                                                        | Description                               |
| ------------------------- | ------------------------------------------------------------------------------------------- | ----------------------------------------- |
| account                   | [Account](/developer/api-reference/types/account.md)                                        |                                           |
| amount                    | Float                                                                                       |                                           |
| billingCycles             | List ([BillingCycle](/developer/api-reference/types/billingcycle.md))                       |                                           |
| billingPeriod             | [BillingPeriod](/developer/api-reference/enums.md#billingperiod)                            |                                           |
| chargeType                | [ChargeType](/developer/api-reference/enums.md#chargetype)                                  |                                           |
| code                      | String                                                                                      |                                           |
| coupon                    | [Coupon](/developer/api-reference/types/coupon.md)                                          |                                           |
| createdAt                 | ISO8601DateTime                                                                             |                                           |
| currency                  | [Currency](/developer/api-reference/types/currency.md)                                      |                                           |
| currentPeriodPriceByTiers | List ([SubscriptionTieredPrice](/developer/api-reference/types/subscriptiontieredprice.md)) |                                           |
| discount                  | Float                                                                                       |                                           |
| discountedPrice           | String                                                                                      |                                           |
| endDate                   | ISO8601Date                                                                                 |                                           |
| expired                   | Boolean                                                                                     |                                           |
| feature                   | [Feature](/developer/api-reference/types/feature.md)                                        |                                           |
| fullyBilled               | Boolean                                                                                     |                                           |
| histogram                 | [Histogram](/developer/api-reference/types/histogram.md)                                    |                                           |
| id                        | ID                                                                                          |                                           |
| invoiceLineText           | String                                                                                      |                                           |
| isAmendment               | Boolean                                                                                     |                                           |
| isRamp                    | Boolean                                                                                     |                                           |
| kind                      | [QuoteChangeKind](/developer/api-reference/enums.md#quotechangekind)                        |                                           |
| name                      | String                                                                                      |                                           |
| periodPrice               | Float                                                                                       |                                           |
| price                     | String                                                                                      |                                           |
| priceDecimals             | Int                                                                                         |                                           |
| priceList                 | [PriceList](/developer/api-reference/types/pricelist.md)                                    |                                           |
| priceListCharge           | [PriceListCharge](/developer/api-reference/types/pricelistcharge.md)                        |                                           |
| priceListChargeId         | ID                                                                                          |                                           |
| priceListId               | ID                                                                                          |                                           |
| priceTiers                | List ([SubscriptionPriceTier](/developer/api-reference/types/subscriptionpricetier.md))     |                                           |
| pricingModel              | [PricingModel](/developer/api-reference/enums.md#pricingmodel)                              |                                           |
| prorationRate             | Float                                                                                       |                                           |
| quantity                  | Int                                                                                         |                                           |
| quantityMax               | Int                                                                                         |                                           |
| quantityMin               | Int                                                                                         |                                           |
| selfServiceQuantity       | Boolean                                                                                     |                                           |
| startDate                 | ISO8601Date                                                                                 |                                           |
| subscription              | [Subscription](/developer/api-reference/types/subscription.md)                              |                                           |
| subscriptionId            | ID                                                                                          |                                           |
| subtotal                  | Float                                                                                       |                                           |
| taxAmount                 | Float                                                                                       |                                           |
| tieredAveragePrice        | Float                                                                                       | Average price value when charge is Tiered |
| trial                     | Boolean                                                                                     |                                           |
| updatedAt                 | ISO8601DateTime                                                                             |                                           |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/subscriptioncharge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
